petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscObjectSetOptions

Sets the options database used by the object

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectSetOptions(PetscObject obj,PetscOptions options)

Collective on PetscObject Many br

### Input Parameters

| obj | - any PETSc object, for example a Vec, Mat or KSP. Many br
| options | - the options database, use NULL for default Many br

Notes: if this is not called the object will use the default options database Many br

Many br

### See Also

PetscOptionsCreate(), PetscOptionsDestroy()

Level:advanced
Location:src/sys/objects/prefix.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages